//image scanner by: gijs gieskes 2008
//load to processing
//display scan from the arduino script: isScannerArduino.pde
//for info go here: http://gieskes.nl

import processing.serial.*;

int inByte;
int optellerX = 0;
int optellerY = 0;
int grayscale = 0;

Serial myPort;  // The serial port

void setup() {
  size(576, 800);
  println(Serial.list());
  myPort = new Serial(this, Serial.list()[2], 9600);
}

void draw() {
  while (myPort.available() > 0) {
    inByte = myPort.read();
    render();
  }
}

void render(){
  
  if(inByte < 25){            //als lager dan 24 select pixel
    optellerX = inByte*24;
  }else{                      //als hoger dan 24 select grayscale
    grayscale = inByte;
  }
   
  if(optellerX == 0){        //als x opnieuw begint, schuif een rei op.
    optellerY++;
  }
  
  fill(grayscale);
  stroke(grayscale);
  rect(optellerX, optellerY, 24, 1); 
  
  if(optellerY >= 800){
    optellerY = 0;
  }
  
}
